.product-image-details {
    position: sticky;
    top: 12%;
    z-index: 9;
}

.pdt_sec_wreap {
    clear: both;
    margin: 50px 0 0;
}

#stone-selector-modal {
    z-index: 1050;
    display: none;
}

#stone-selector-modal.show {
    display: block !important;
}

#stone-selector-modal .modal-dialog {
    margin: 30px auto;
    max-width: 900px;
}

#stone-selector-modal .modal-content {
    border-radius: 5px;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
}

#stone-selector-modal .stone-item {
    padding: 15px;
    border-bottom: 1px solid #eee;
    transition: background-color 0.2s;
}

#stone-selector-modal .stone-item:hover {
    background-color: #f9f9f9;
}

#stone-selector-modal .stone-item:last-child {
    border-bottom: none !important;
}

#stone-selector-modal .select-stone-btn {
    font-weight: bold;
    text-transform: uppercase;
    letter-spacing: 0.5px;
}

#stone-selector-modal .stone-price {
    color: #333;
    font-weight: bold;
}

#stone-selector-modal .stone-media-wrapper video {
    max-width: 100%;
    height: auto;
}

.modal-backdrop {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1049;
}

#stone-filters label {
    line-height: 1.2;
}

#stone-results .stone-item .row {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}


#product-product .product-info-details>.inner {
    max-height: unset;
    overflow: unset;
}

#product-product .product-info-details {
    position: unset;
}

.pdt_img_icon {
    padding: 0;
    margin: 0;
    list-style: none;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 15px;
}

.pdt_img_icon li a {
    width: 48px;
    height: 48px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #ccc;
    border-radius: 100%;
    overflow: hidden;
    transition: all 0.4s ease-in-out;
}

.pdt_img_icon li:nth-child(2) a img,
.pdt_img_icon li:nth-child(7) a img,
.pdt_img_icon li:nth-child(8) a img,
.pdt_img_icon li:nth-child(10) a img {
    max-width: 34px;
    object-fit: contain;
}

.pdt_img_icon li a:hover {
    border-color: #000;
}

.pdt_img_icon li.active a {
    border-color: #000;
}

.pdt_img_icon li a img {
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.pdt_select_txt_wreap {
    margin-top: 20px;
}

.pdt_stone_natural .btn-primary,
.pdt_stone_lab .btn-primary {
    background-color: #fff;
    color: #c29958;
    border: 1px solid #c29958;
    line-height: 1.2;
    transition: all 0.2s ease-in-out;
    padding: 8px;
    text-transform: capitalize;
}

.pdt_stone_wreap {
    margin-top: 20px;
    border-radius: 1rem;
    padding: 15px;
    border: 1px solid #e8e8e8;
}

.pdt_stone_natural,
.pdt_stone_lab {
    display: flex;
    gap: 10px;
}

.pdt_stone_natural button,
.pdt_stone_lab button {
    width: 100%;
}

.pdt_stone_natural .btn-primary:hover,
.pdt_stone_lab .btn-primary:hover {
    background-color: #c29958;
    color: #fff;
}

.pdt_stone_natural .btn-primary.active_lab,
.pdt_stone_lab .btn-primary.active_clor {
    background-color: #c29958;
    color: #fff;
}

.pdt_filters_wreap {
    margin-top: 12px;
}

.range-box {
    margin-top: 20px;
}

.range-slider {
    position: relative;
    height: 12px;
}

.range-slider .track {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 6px;
    width: 100%;
    background: #ddd;
    border-radius: 10px;
}

.range-slider .range {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 6px;
    background: #c29958;
    border-radius: 10px;
}

.range-slider input[type=range] {
    position: absolute;
    width: 100%;
    height: 12px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
}

/* .range-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: auto;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: #0000003d 0 3px 8px;
}

.range-slider input[type=range]::-moz-range-thumb {
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: #0000003d 0 3px 8px;
} */

.range-slider input[type=range] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: transparent;
}

/* Chrome / Safari */
.range-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: auto;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: 0 3px 8px #0000003d;
}

/* Firefox */
.range-slider input[type=range]::-moz-range-thumb {
    pointer-events: auto;
    -moz-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: 0 3px 8px #0000003d;
}

.range-inputs {
    margin-top: 15px;
    display: flex;
    justify-content: space-between;
}

.range-inputs input {
    width: 70px;
    font-size: 12px;
    padding: 4px 6px;
}

.scale-slider-box {
    margin-top: 20px;
}

.scale-slider {
    position: relative;
    height: 16px;
}

.scale-slider .track {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 6px;
    width: 100%;
    background: #e0e0e0;
    border-radius: 10px;
}

.scale-slider .range {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    height: 6px;
    background: #c29958;
    border-radius: 10px;
}

.scale-slider input[type=range] {
    position: absolute;
    width: 100%;
    height: 16px;
    background: none;
    pointer-events: none;
    -webkit-appearance: none;
}

/* .scale-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: auto;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: #0000003d 0 3px 8px;
}

.scale-slider input[type=range]::-moz-range-thumb {
    width: 18px;
    height: 18px;
    background: #fff;
    border-radius: 50%;
    border: 2px solid #ccc;
    cursor: pointer;
} */

/* Reset range input */
.scale-slider input[type=range] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background: transparent;
}

/* Chrome / Safari */
.scale-slider input[type=range]::-webkit-slider-thumb {
    pointer-events: auto;
    -webkit-appearance: none;
    width: 18px;
    height: 18px;
    border-radius: 50%;
    cursor: pointer;
    background: #fff;
    border: 0 solid #ccc;
    box-shadow: 0 3px 8px #0000003d;
}

/* Firefox */
.scale-slider input[type=range]::-moz-range-thumb {
    pointer-events: auto;
    -moz-appearance: none;
    width: 18px;
    height: 18px;
    background: #fff;
    border-radius: 50%;
    border: 0 solid #ccc;
    cursor: pointer;
    box-shadow: 0 3px 8px #0000003d;
}

/* Firefox track fix */
.scale-slider input[type=range]::-moz-range-track {
    background: transparent;
    border: none;
}

.scale-ticks {
    display: flex;
    justify-content: space-between;
    margin-top: 15px;
    padding: 0 2px;
}

.scale-ticks span {
    position: relative;
    font-size: 12px;
}

.scale-ticks span::after {
    position: absolute;
    content: '';
    top: -26px;
    left: 0;
    right: 0;
    margin: 0 auto;
    width: 2px;
    height: 6px;
    background-color: #ffffff;
}

.filter_value_wreap {
    max-width: 600px;
    border: 1px solid #e8e8e8;
    border-radius: 4px;
    margin-top: 20px;
    overflow: hidden;
}

.diamond-table {
    width: 100%;
    border-collapse: collapse;
    font-size: 12px;
}

.diamond-table thead {
    background: #f4f6f6;
}

.diamond-table th {
    line-height: 1.2;
    padding: 8px;
    text-align: center;
    font-weight: 600;
    border-bottom: 1px solid #e8e8e8;
    color: #222;
}

.diamond-table .pdct_data_row {
    cursor: pointer;
    transition: background .3s ease;
}

.diamond-table .pdct_data_row:nth-of-type(even) {
    background-color: #f5f5f5;
}

.diamond-table td {
    line-height: 1.2;
    padding: 8px;
    border-bottom: 1px solid #e8e8e8;
    vertical-align: middle;
    text-align: center;
}

.diamond-table tbody tr:last-child td {
    border-bottom: none;
}

.diamond-table td img {
    max-width: 20px;
}

.pdct_data_inner {
    display: flex;
    align-items: center;
    gap: 20px;
}

.pdct_data_inner .pdct_data_inner_img {
    width: 30%;
    text-align: start;
}

.pdct_data_inner .pdct_data_inner_list {
    width: 70%;
    align-items: start;
    border: 1px solid;
    border-radius: 5px;
    padding: 10px 15px;
}

.pdct_data_inner .pdct_data_inner_list ul {
    list-style: none;
    padding: 0;
    margin: 0;
    text-align: start;
}

.pdct_data_inner .pdct_data_inner_img img {
    width: 100%;
    max-width: 100%;
    margin: 0;
    border-radius: 5px;
}

.pdct_data_inner_list ul li span {
    display: block;
    min-width: 80px;
}

.pdct_data_inner_list ul li {
    display: flex;
    align-items: center;
    margin-bottom: 8px;
}

.pdct_data_inner_list ul li a {
    color: rgb(0, 0, 238);
    text-decoration: underline;
}

.pdct_data_inner_list h5 {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.filter_value_pagination {
    display: flex;
    justify-content: center;
    gap: 8px;
    margin: 10px 0 30px;
}

.pagination_btn {
    line-height: 1.2;
    padding: 4px 12px;
    border-radius: 5px;
    border: 1px solid #e0e0e0;
    background-color: transparent;
    transition: all 0.2s ease-in-out;
}

.filter_value_pagination ul {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    align-items: center;
    gap: 8px;
}

.filter_value_pagination ul li button {
    width: 34px;
    height: 34px;
    border-radius: 5px;
    border: 1px solid #e0e0e0;
    background: #fff;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: all 0.2s ease-in-out;
}

.filter_value_pagination ul li.active button,
.filter_value_pagination ul li button:hover {
    color: #fff;
    border-color: #bd9049;
    background-color: #bd9049;
}

.pdt_btn_select .btn.btn-primary {
    width: 100%;
}

.pdct_data_inner_list .btn-primary {
    width: 100%;
    line-height: 1.2;
}

.pdct_data_inner_list ul li small {
    color: #0101ff;
}

















/* ============================== Responsive code start here ============================== */

@media (max-width: 767px) {
    #stone-results .stone-item .row .col-sm-3 {
        width: 100%;
    }

    #stone-results .stone-item .row .col-sm-9 {
        width: 100%;
        text-align: center;
    }

    div#stone-results {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
    }

    #stone-selector-modal .stone-item {
        padding: 20px 8px !important;
    }

    .product-image-details {
        position: unset;
    }

    .pdt_img_icon {
        gap: 10px;
    }

}